- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CMenu Class Reference

List of all members.

## Detailed Description

A menu (basically a simple list).

Date:
  12/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CMenu.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CMenu.hpp.

## Public Member Functions

- void addMenuItem (CMenuItem *menuItem)
- void clearAllMenuItems ()
- CMenu ()
- CMenuItem * getMenuItem (const long index)
- const CString & getMenuTitle () const
- long getNumberOfMenuItems () const
- void removeMenuItem (const long index)
- void removeMenuItemNoOrdering (const long index)
- void setMenuTitle (const CString &title)
- virtual ~CMenu ()

## Static Public Member Functions

- static void getADivisionMenu (CMenu *addToThisMenu)

## Protected Attributes

- CString m_menuTitle
- TCountedPointerArray< CMenuItem > * m_subMenus

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CMenu::CMenu | ( |  | ) |

Construction

virtual Exponent::GUI::Controls::CMenu::~CMenu | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Controls::CMenu::addMenuItem | ( | CMenuItem * | menuItem | ) |

Add a sub menu item

Parameters:

  | menuItem | The menu item to add

void Exponent::GUI::Controls::CMenu::clearAllMenuItems | ( |  | ) |

Remove all the menu items

static void Exponent::GUI::Controls::CMenu::getADivisionMenu | ( | CMenu * | addToThisMenu | ) | `[static]`

Fill a menu up with tempo divisions

Parameters:

  | addToThisMenu | The menu to add to

CMenuItem* Exponent::GUI::Controls::CMenu::getMenuItem | ( | const long | index | ) |

Get a menu item

Parameters:

  | index | The index of the item required

Return values:

  | CMenuItem* | The menu item requested, or null on error

const CString& Exponent::GUI::Controls::CMenu::getMenuTitle | ( |  | ) | const

Get the menu title

Return values:

  | const | CString& The title of the menu

long Exponent::GUI::Controls::CMenu::getNumberOfMenuItems | ( |  | ) | const

Get the number of menu items

Return values:

  | long | The number of menu items contained within

void Exponent::GUI::Controls::CMenu::removeMenuItem | ( | const long | index | ) |

Remove a menu itme

Parameters:

  | index | The index of the item to remove

void Exponent::GUI::Controls::CMenu::removeMenuItemNoOrdering | ( | const long | index | ) |

Remove a menu item - doesnt reorder the internal array

Parameters:

  | index | The index of the menu item to remove

void Exponent::GUI::Controls::CMenu::setMenuTitle | ( | const CString & | title | ) |

Set the menu title

Parameters:

  | title | The title of the menu

## Member Data Documentation

CString Exponent::GUI::Controls::CMenu::m_menuTitle`[protected]`

The title of the menu

Definition at line 124 of file CMenu.hpp.

TCountedPointerArray<CMenuItem>* Exponent::GUI::Controls::CMenu::m_subMenus`[protected]`

The sub menu items

Definition at line 123 of file CMenu.hpp.